<div id="body" class="container-fluid">
  <h6 class="mb-1">Intl CPE Order</h6>
  <h6 class="text-danger" *ngIf="locked">{{ lblError }}</h6>
  <form [formGroup]="form" novalidate>
    <mat-accordion>
      <mat-expansion-panel [expanded]="true" class="mb-3">
        <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
          <mat-panel-title><h6>General</h6></mat-panel-title>
        </mat-expansion-panel-header>
        <div class="form-row">
          <div class="form-group form-group-sm row col-24 col-lg-10">
            <label class="col-form-label col-24 col-lg-8">Selected M5 #: </label>
            <div class="col-24 col-lg-12">
              <input type="text" class="form-control form-control-sm" formControlName="selectedM5" [value]="hfSelectedFTN" [readonly]="true">
            </div>
          </div>
        </div>

        <app-equipment-review [group]="form.controls.equipmentReview" [parent]="this" *ngIf="isEquipmentReviewDataLoaded"></app-equipment-review>

        <app-material-requisition [group]="form.controls.materialRequisition" [parent]="this" *ngIf="isMatReqDataLoaded"></app-material-requisition>

        <app-gom-fields [group]="form.controls.gomFileds" [parent]="this" *ngIf="isGOMFieldsLoaded"></app-gom-fields>

        <!-- Review -->
        <mat-accordion *ngIf="isReviewDataLoaded">
          <mat-expansion-panel [expanded]="true" class="mb-3">
            <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
              <mat-panel-title><h6>Review</h6></mat-panel-title>
            </mat-expansion-panel-header>
            <div class="form-row">
              {{lblMsg}}
              <div *ngIf="displaybtnReview">
                <dx-button class="btn btn-primary"
                           text="Move out of Intl CPE Error"
                           [width]="200"
                           [disabled]="locked"
                           (onClick)="btnReview_Click($event)">
                </dx-button>
              </div>
              <div *ngIf="displaybtnRC">
                <dx-button class="btn btn-primary"
                           text="Close Order"
                           [width]="200"
                           [disabled]="locked"
                           (onClick)="btnRC_Click($event)">
                </dx-button>
              </div>
            </div>
          </mat-expansion-panel>
        </mat-accordion>

        <div class="form-row">
          <div class="form-group form-group-sm row col-24">
            <label class="col-form-label col-24 col-lg-2">Notes: </label>
            <div class="col-24 col-lg-22 pl-0 pl-lg-3">
              <textarea rows="5" class="form-control form-control-sm" formControlName="notes" maxlength="255" [(ngModel)]="notes"></textarea>
              <small class="form-text text-muted">{{ notes.length > 255 ? 0 : (255 - notes.length) | number }} character(s) left!</small>
            </div>
          </div>
        </div>
        <div class="form-row" *ngIf="displayPL">
          <div class="form-group form-group-sm row col-24">
            <label class="col-form-label col-24 col-lg-4">Private Line#: </label>
            <div class="col-24 col-lg-20 pl-0 pl-lg-3">
              <textarea rows="5" class="form-control form-control-sm" formControlName="privateLine"></textarea>
            </div>
          </div>
        </div>
        <div class="form-row" *ngIf="">
          <div class="form-group form-group-sm row col-24">
            <label class="col-form-label col-24 col-lg-4">Billing FTN: </label>
            <div class="col-24 col-lg-20 pl-0 pl-lg-3">
              <textarea rows="5" class="form-control form-control-sm" formControlName="billingFtn"></textarea>
            </div>
          </div>
        </div>

        <div class="form-row text mt-2">
          <div class="form-group form-group-sm form-group-sm col-12 col-md-4 col-lg-3" *ngIf="displaybtnSave">
            <button type="button" class="btn btn-sm btn-primary btn-block" (click)="btnSave_Click()" [disabled]="locked">
              Save Data
            </button>
          </div>
          <div class="form-group form-group-sm form-group-sm col-12 col-md-4 col-lg-3" *ngIf="displaybtnMove">
            <button type="button" class="btn btn-sm btn-primary btn-block" (click)="btnMove_Click()" [disabled]="locked">
              Complete & Close
            </button>
          </div>
          <div class="form-group form-group-sm form-group-sm col-12 col-md-4 col-lg-3" *ngIf="isRTSLoaded">
            <button type="button" class="btn btn-sm btn-primary btn-block" (click)="btnRTS_Click()" [disabled]="locked">
              Return to Sales
            </button>
          </div>
          <div class="form-group form-group-sm form-group-sm col-12 col-md-4 col-lg-4" *ngIf="isSSNLoaded">
            <button type="button" class="btn btn-sm btn-primary btn-block" (click)="btnSSNotes_Click()" [disabled]="locked">
              Sales Support Notes
            </button>
          </div>
          <div class="form-group form-group-sm form-group-sm col-12 col-md-4 col-lg-3" *ngIf="isEquipmentReviewDataLoaded">
            <button type="button" class="btn btn-sm btn-primary btn-block" (click)="btnSubmitToODIE_Click()" [disabled]="locked">
              Submit to ODIE
            </button>
          </div>
          <div class="form-group form-group-sm form-group-sm col-12 col-md-4 col-lg-3" *ngIf="isMatReqDataLoaded">
            <button type="button" class="btn btn-sm btn-primary btn-block" (click)="btnSendOnlyMatReq_Click()" [disabled]="locked">
              Send Only
            </button>
          </div>
          <div class="form-group form-group-sm form-group-sm col-12 col-md-4 col-lg-3" *ngIf="isMatReqDataLoaded">
            <button type="button" class="btn btn-sm btn-primary btn-block" (click)="btnSendCompleteMatReq_Click()" [disabled]="locked">
              Send & Complete
            </button>
          </div>


          <div class="form-group form-group-sm form-group-sm col-12 col-md-4 col-lg-3">
            <button type="button" class="btn btn-sm btn-secondary btn-block" (click)="btnCancel_Click()">
              Close Order
            </button>
          </div>
        </div>
      </mat-expansion-panel>
    </mat-accordion>

    <!--M5 # Details-->
    <mat-accordion>
      <mat-expansion-panel [expanded]="true" class="mb-2">
        <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
          <mat-panel-title><h6>M5 # Details</h6></mat-panel-title>
        </mat-expansion-panel-header>
        <!-- <dx-data-grid [dataSource]="m5DetailList"
                      [wordWrapEnabled]="true" [rowAlternationEnabled]="true"
                      [showBorders]="true" [columnAutoWidth]="true">
          <dxo-sorting mode="multiple"></dxo-sorting>
          <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
          <dxo-scrolling mode="standard" useNative="false"></dxo-scrolling>

          <dxi-column dataField="ftn" caption="M5 #" dataType="string" cellTemplate="m5LinkTemplate"></dxi-column>
          <dxi-column dataField="custNme" caption="Customer Name" dataType="string"></dxi-column>
          <dxi-column dataField="ordrTypeDes" caption="Order Type" dataType="string"></dxi-column>
          <dxi-column dataField="ordrSubTypeDes" caption="Order Sub Type" dataType="string"></dxi-column>
          <dxi-column dataField="prodTypeDes" caption="Product Type" dataType="string"></dxi-column>
          <dxi-column dataField="ordrStusDes" caption="Order Status" dataType="string"></dxi-column>
          <dxi-column dataField="pendingTasks" caption="Pending Tasks" dataType="string"></dxi-column>
          <div *dxTemplate="let cell of 'm5LinkTemplate'">
            <a href="#" (click)="onM5Clicked($event, cell.data)">{{ cell.text }}</a>
          </div>
        </dx-data-grid> -->
        <div class="form-row" formGroupName="display">
          <!--ROW 1-->
          <div class="form-group form-group-sm row col-24">
            <label class="col-form-label col col-lg-4 pr-1 text-right">M5 #:</label>
            <div class="col col-lg-4 pl-0 pl-lg-1">
              <label class="hyperlink" (click)="onM5Clicked($event, m5Data)"> {{ m5 }} </label>
            </div>
            <label class="col-form-label col col-lg-4 pr-1 text-right">Pending Tasks:</label>
            <div class="col col-lg-12 pl-0 pl-lg-1">
              <input type="text" readonly class="form-control form-control-sm" formControlName="pendingTasks"  />
            </div>
          </div>
          <!--ROW 2-->
          <div class="form-group form-group-sm row col-24">
            <label class="col-form-label col col-lg-4 pr-1 text-right">Order Status:</label>
            <div class="col col-lg-4 pl-0 pl-lg-1">
              <input type="text" readonly class="form-control form-control-sm" formControlName="orderStatus"  />
            </div>
            <label class="col-form-label col col-lg-4 pr-1 text-right">Order Type:</label>
            <div class="col col-lg-4 pl-0 pl-lg-1">
              <input type="text" readonly class="form-control form-control-sm" formControlName="orderType"  />
            </div>
            <label class="col-form-label col col-lg-4 pr-1 text-right">Order Sub Type:</label>
            <div class="col col-lg-4 pl-0 pl-lg-1">
              <input type="text" readonly class="form-control form-control-sm" formControlName="orderSubType"  />
            </div>
          </div>
          <!--ROW 3-->
          <div class="form-group form-group-sm row col-24">
            <label class="col-form-label col col-lg-4 pr-1 text-right">Product Type:</label>
            <div class="col col-lg-4 pl-0 pl-lg-1">
              <input type="text" readonly class="form-control form-control-sm" formControlName="productType"  />
            </div>
            <label class="col-form-label col col-lg-4 pr-1 text-right">Customer Name:</label>
            <div class="col col-lg-4 pl-0 pl-lg-1">
              <input type="text" readonly class="form-control form-control-sm" formControlName="customerName"  />
            </div>
            <label class="col-form-label col col-lg-4 pr-1 text-right">Customer Name (H1):</label>
            <div class="col col-lg-4 pl-0 pl-lg-1">
              <input type="text" readonly class="form-control form-control-sm" formControlName="customerNameH1"  />
            </div>
          </div>
          <!--ROW 4-->
          <div class="form-group form-group-sm row col-24">
            <label class="col-form-label col col-lg-4 pr-1 text-right">H6 Address Line 1:</label>
            <div class="col col-lg-4 pl-0 pl-lg-1">
              <input type="text" readonly class="form-control form-control-sm" formControlName="h6AddressLine1"  />
            </div>
            <label class="col-form-label col col-lg-4 pr-1 text-right">H6 City:</label>
            <div class="col col-lg-4 pl-0 pl-lg-1">
              <input type="text" readonly class="form-control form-control-sm" formControlName="h6City"  />
            </div>
            <label class="col-form-label col col-lg-4 pr-1 text-right">H6 Country:</label>
            <div class="col col-lg-4 pl-0 pl-lg-1">
              <input type="text" readonly class="form-control form-control-sm" formControlName="h6Country"  />
            </div>
          </div>
          <!--ROW 5-->
          <div class="form-group form-group-sm row col-24">
            <label class="col-form-label col col-lg-4 pr-1 text-right">Vendor Name:</label>
            <div class="col col-lg-4 pl-0 pl-lg-1">
              <input type="text" readonly class="form-control form-control-sm" formControlName="vendorName"  />
            </div>
            <label class="col-form-label col col-lg-4 pr-1 text-right">Access Bandwidth:</label>
            <div class="col col-lg-4 pl-0 pl-lg-1">
              <input type="text" readonly class="form-control form-control-sm" formControlName="accessBandwidth"  />
            </div>
          </div>
        </div>
        <br />
        <div *ngIf="fsaDetails.isShown">
          <app-m5-details [parent]="this"></app-m5-details>
        </div>
      </mat-expansion-panel>
    </mat-accordion>

    <!--CCD History-->
    <mat-accordion>
      <mat-expansion-panel [expanded]="true" class="mb-3">
        <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
          <mat-panel-title><h6>CCD History</h6></mat-panel-title>
        </mat-expansion-panel-header>
        <dx-data-grid class="mb-3" [dataSource]="ccdList"
                      [wordWrapEnabled]="true" [rowAlternationEnabled]="true"
                      [showBorders]="true" [columnAutoWidth]="true">
          <dxo-sorting mode="multiple"></dxo-sorting>
          <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
          <dxo-scrolling mode="standard" useNative="false"></dxo-scrolling>

          <dxi-column dataField="ccdOld" caption="Old CCD" dataType="datetime" cellTemplate="oldCcdDtTemplate"></dxi-column>
          <div *dxTemplate="let cell of 'oldCcdDtTemplate'">
            <span class="d-block">{{ cell.text | date: 'MM/dd/yyyy' }}</span>
          </div>
          <dxi-column dataField="ccdNew" caption="New CCD" dataType="datetime" cellTemplate="newCcdDtTemplate"></dxi-column>
          <div *dxTemplate="let cell of 'newCcdDtTemplate'">
            <span class="d-block">{{ cell.text | date: 'MM/dd/yyyy' }}</span>
          </div>
          <dxi-column dataField="reasonPipeSV" caption="Reasons" dataType="string"></dxi-column>
          <dxi-column dataField="note" caption="Note" dataType="string"></dxi-column>
          <dxi-column dataField="createdByDspNme" caption="Changed By" dataType="string"></dxi-column>
          <dxi-column dataField="createdDateTime" caption="Change Date" dataType="datetime" cellTemplate="creatDtTemplate"></dxi-column>
          <div *dxTemplate="let cell of 'creatDtTemplate'">
            <span class="d-block">{{ cell.text | date: 'MM/dd/yyyy hh:mm aa' }}</span>
          </div>
        </dx-data-grid>
      </mat-expansion-panel>
    </mat-accordion>

    <!--Notes-->
    <mat-accordion>
      <mat-expansion-panel [expanded]="true" class="mb-3">
        <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
          <mat-panel-title><h6>M5 # Notes</h6><br /><div class="form-group form-group-sm row col-24 col-lg-12"><label>{{noteInfo}}</label></div></mat-panel-title>
        </mat-expansion-panel-header>
        <dx-data-grid class="mb-3" [dataSource]="noteList"
                      [wordWrapEnabled]="true" [rowAlternationEnabled]="true"
                      [showBorders]="true" [columnAutoWidth]="true">
          <dxo-sorting mode="multiple"></dxo-sorting>
          <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
          <dxo-scrolling mode="standard" useNative="false"></dxo-scrolling>
          <dxo-paging [pageSize]="10"></dxo-paging>

          <dxi-column dataField="nteTypeDes" caption="Note Type" dataType="string"></dxi-column>
          <dxi-column dataField="nteTxt" caption="Note" dataType="string"></dxi-column>
          <dxi-column dataField="creatByUserFullName" caption="Created By" dataType="string"></dxi-column>
          <dxi-column dataField="creatDt" caption="Created Date" dataType="datetime" cellTemplate="dateTimeTemplate"></dxi-column>
          <div *dxTemplate="let cell of 'dateTimeTemplate'">
            <span class="d-block">{{ cell.text | date: 'MM/dd/yyyy' }}</span>
            <span class="d-block">{{ cell.text | date: 'hh:mm aa' }}</span>
          </div>
        </dx-data-grid>
      </mat-expansion-panel>
    </mat-accordion>

    <!--NRM-->
    <app-nrm [group]="form.controls.nrm" [parent]="this" *ngIf="isNRMLoaded" [orderType]="orderType"></app-nrm>
  </form>
</div>
